# Section presentation

The *Inputs* section has the role to let you upload your input datasources and specify their characteristics. 
Everything that is set here sets what happens in the *inputs_zone* ([See the corresponding wiki article](article:21)).

![dataiku_app_inputs.png](SWFrOzLh5t2L)

# Section interactions

## Distribution network dataset
![distribution_network_dataset.png](rcXqOrPGX59g)
In this tile you upload the dataset containing the locations of your distribution network. **This file must be a .csv file.**
Once uploaded, you will be able to see this file's content in the DSS dataset [locations_dataset](dataset:locations_dataset).

## Distribution network identifier columns
![distribution_network_id_cols.png](9HopvCrwzr8W)
Here you are asked to specify which column(s) contain location identifiers within your dataset. 
On the example above, you can see that "shop" and "address" are written: that means that in the dataset used, an address is not sufficient in order to identify a shop, but it is not possible for two shops present at the same address to have the same name: thus, combining "shop" and "address" leads to a row identifier.

## Types of locations
![distribution_network_types_locs.png](wMaqPun7RDwC)
You have to specify here how your distribution network locations are defined. See also  [the datasources requirements](article:4).

## Customers parameters
![customers_parameters.png](zpYABMYiC5JP)
Mark the checkbox if you want to analyze customers: if "yes", like what was done for the distribution network locations, you will have to identify the customers' types of locations.

## Customers dataset
![customers_dataset.png](LDJZEtXiz1ln)
This tile is where you are able to upload the dataset containing the locations of your customers. **This file must be a .csv file.** 
Once uploaded, you will be able to see this file's content in the DSS dataset [customers_dataset](dataset:customers_dataset).




